Spaces method and path for this operation:
get /s/{space_id}/api/synthetics/private_locations
Refer to Spaces for more information.
Get a list of private locations.
You must have read privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: uptime-read.
GET
/api/synthetics/private_locations
curl
curl \
-X GET "${KIBANA_URL}/api/synthetics/private_locations" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/private_locations
Response examples (200)
[
{
"agentPolicyId": "fleet-server-policy",
"geo": {
"lat": 0,
"lon": 0
},
"id": "fleet-server-policy",
"isInvalid": false,
"label": "Test private location",
"namespace": "default"
},
{
"agentPolicyId": "691225b0-6ced-11ee-8f5a-376306ee85ae",
"geo": {
"lat": 0,
"lon": 0
},
"id": "691225b0-6ced-11ee-8f5a-376306ee85ae",
"isInvalid": false,
"label": "Test private location 2",
"namespace": "test"
}
]